Retrieve a verification session
curl --request GET \
--url https://api.yorlet.com/v1/verification_sessions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/verification_sessions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/verification_sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/verification_sessions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/verification_sessions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/verification_sessions/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/verification_sessions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "verification_session",
"completed_at": 123,
"credit_check": {
"next_action": {
"type": "pending_identity"
},
"status": "<string>"
},
"identity": {
"last_error": {
"code": "<string>",
"reason": "<string>"
},
"next_action": {
"type": "use_yorlet_sdk",
"use_yorlet_sdk": {
"client_secret": "<string>"
}
},
"status": "<string>"
},
"income": {
"next_action": {
"type": "pending_income"
},
"status": "<string>"
},
"monitor": {
"next_action": {
"type": "pending_identity"
},
"status": "processing"
},
"options": {
"identity": {
"allowed_types": [
"driving_licence"
]
},
"income": {
"affordability_check": {
"amount": 123,
"interval": "month",
"inverval_count": 123
},
"require_income_reference": true
},
"monitor": {
"continuous_screening": true
}
},
"provided_details": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"first_name": "<string>",
"email": "[email protected]",
"last_name": "<string>",
"phone": "<string>"
},
"requirements": {
"completed": [
"credit_check"
],
"currently_due": [
"credit_check"
]
},
"return_url": "<string>",
"right_to_rent": {
"next_action": {
"type": "pending_identity",
"dob_required": true
},
"status": "requires_input",
"type": "gb_resident"
},
"status": "pending",
"types": [
"identity"
],
"url": "<string>",
"verified_outputs": {
"affordability": {
"cost_to_income_ratio": 123
},
"first_name": "<string>",
"last_name": "<string>"
},
"verification_report": {
"id": "<string>",
"created": 123,
"object": "verification_report",
"identity": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"expiration_date": 123,
"first_name": "<string>",
"issuing_country": "<string>",
"last_name": "<string>",
"status": "unverified",
"type": "<string>"
},
"income": {
"affordability": {
"cost_to_income_ratio": 123
},
"status": "unverified",
"type": "permanent_employment",
"verification": {
"bank_account": {
"items": [
{
"bank_name": "<string>",
"income_sources": [
{
"category": "<string>",
"description": "<string>",
"total": 123
}
]
}
],
"sources": 123,
"total_monthly": 123,
"total_yearly": 123
},
"document": {
"items": [
{
"employer_name": "<string>",
"employee_name": "<string>",
"pay_stubs": [
{
"gross_earnings": 123,
"net_pay": 123,
"pay_date": 123,
"pay_frequency": "<string>"
}
]
}
],
"total_monthly": 123,
"total_yearly": 123
},
"type": "bank_account"
}
},
"right_to_rent": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"dob_verification": "verified",
"screenshot": "<string>",
"share_code": "<string>",
"status": "unverified",
"type": "gb_resident"
},
"status": "unverified",
"types": [
"identity"
],
"verification_session": "<string>",
"account": "<string>",
"deleted": false
},
"account": "<string>",
"deleted": false,
"manually_reviewed": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns a verification session object if a valid identifier was provided.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
verification_session The time at which the verification session was completed.
Credit check details, when the session includes a credit check.
Show child attributes
Show child attributes
Identity verification details, when the session includes identity verification.
Show child attributes
Show child attributes
Income verification details, when the session includes income verification.
Show child attributes
Show child attributes
Monitor verification details, when the session includes monitor verification.
Show child attributes
Show child attributes
Options applied to the verification session.
Show child attributes
Show child attributes
Details provided by the individual at the start of the verification session.
Show child attributes
Show child attributes
Requirements for completing the verification session.
Show child attributes
Show child attributes
The URL the user will be redirected to after completing verification.
Right-to-rent verification details, when the session includes a right-to-rent check.
Show child attributes
Show child attributes
The status of the verification session.
pending, complete, canceled The verifications included in this session.
identity, right_to_rent, income, credit_check, monitor The hosted URL the user can visit to complete verification.
Verified outputs available once verification is complete.
Show child attributes
Show child attributes
The verification report produced for this session, when available.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Whether the verification session was manually reviewed.
Was this page helpful?
curl --request GET \
--url https://api.yorlet.com/v1/verification_sessions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/verification_sessions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/verification_sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/verification_sessions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/verification_sessions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/verification_sessions/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/verification_sessions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "verification_session",
"completed_at": 123,
"credit_check": {
"next_action": {
"type": "pending_identity"
},
"status": "<string>"
},
"identity": {
"last_error": {
"code": "<string>",
"reason": "<string>"
},
"next_action": {
"type": "use_yorlet_sdk",
"use_yorlet_sdk": {
"client_secret": "<string>"
}
},
"status": "<string>"
},
"income": {
"next_action": {
"type": "pending_income"
},
"status": "<string>"
},
"monitor": {
"next_action": {
"type": "pending_identity"
},
"status": "processing"
},
"options": {
"identity": {
"allowed_types": [
"driving_licence"
]
},
"income": {
"affordability_check": {
"amount": 123,
"interval": "month",
"inverval_count": 123
},
"require_income_reference": true
},
"monitor": {
"continuous_screening": true
}
},
"provided_details": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"first_name": "<string>",
"email": "[email protected]",
"last_name": "<string>",
"phone": "<string>"
},
"requirements": {
"completed": [
"credit_check"
],
"currently_due": [
"credit_check"
]
},
"return_url": "<string>",
"right_to_rent": {
"next_action": {
"type": "pending_identity",
"dob_required": true
},
"status": "requires_input",
"type": "gb_resident"
},
"status": "pending",
"types": [
"identity"
],
"url": "<string>",
"verified_outputs": {
"affordability": {
"cost_to_income_ratio": 123
},
"first_name": "<string>",
"last_name": "<string>"
},
"verification_report": {
"id": "<string>",
"created": 123,
"object": "verification_report",
"identity": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"expiration_date": 123,
"first_name": "<string>",
"issuing_country": "<string>",
"last_name": "<string>",
"status": "unverified",
"type": "<string>"
},
"income": {
"affordability": {
"cost_to_income_ratio": 123
},
"status": "unverified",
"type": "permanent_employment",
"verification": {
"bank_account": {
"items": [
{
"bank_name": "<string>",
"income_sources": [
{
"category": "<string>",
"description": "<string>",
"total": 123
}
]
}
],
"sources": 123,
"total_monthly": 123,
"total_yearly": 123
},
"document": {
"items": [
{
"employer_name": "<string>",
"employee_name": "<string>",
"pay_stubs": [
{
"gross_earnings": 123,
"net_pay": 123,
"pay_date": 123,
"pay_frequency": "<string>"
}
]
}
],
"total_monthly": 123,
"total_yearly": 123
},
"type": "bank_account"
}
},
"right_to_rent": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"dob_verification": "verified",
"screenshot": "<string>",
"share_code": "<string>",
"status": "unverified",
"type": "gb_resident"
},
"status": "unverified",
"types": [
"identity"
],
"verification_session": "<string>",
"account": "<string>",
"deleted": false
},
"account": "<string>",
"deleted": false,
"manually_reviewed": false
}